Install Problem

classic Classic list List threaded Threaded
11 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Install Problem

rstaats
Hello,

  I am attempting to install MojoMojo but I am not having success :).  I have followed the steps in the installation doc and when I get to the last part to test it out I get the following error (IP replaced with xxx):

[root@ip-xxx-xxx-xxx-xxx MojoMojo-0.999027]# /usr/bin/mojomojo_server.pl -p 3000
[info] /usr/lib/perl5/site_perl/5.8.8/MojoMojo/root/themes/default does not exist
You can connect to your server at http://ip-xxx-xxx-xxx-xxx.ip.secureserver.net:3000



I beleive it means it can't find the default theme location, which makes sense as that dir does not exist. I do see another dir that looks like it might be the correct one but I'm not sure. It is: /usr/lib/perl5/site_perl/5.8.8/MojoMojo/root/static/themes/default

When I browse to the site the following error appears next:

[error] Couldn't render template "undef error - Modification of non-creatable array value attempted, subscript -1 at /usr/lib/perl5/site_perl/5.8.8/MojoMojo/Schema/ResultSet/Page.pm line 78.


This is a vanilla install so I'm not sure what I should do to correct this. Any help would be much appreciated.

Thanks.


Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Install Problem

Rodrigo-7
Hi, try downloading the tar.gz file from CPAN and uncompressing it somewhere else in the same machine where you already cpan-installed MojoMojo.

http://search.cpan.org/CPAN/authors/id/M/MR/MRAMBERG/MojoMojo-0.999027.tar.gz

Then run it from there and check and see if you get the same errors.

~/MojoMojo-0.999027$ perl script/mojomojo_server.pl


-rodrigo



_______________________________________________
Mojomojo mailing list
[hidden email]
http://lists.scsys.co.uk/cgi-bin/mailman/listinfo/mojomojo
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Install Problem

rstaats
Thanks for the suggestion! I had already tried that and I get the same problem. The Makefile.PL, make, and make install all work OK with no errors.

As described previously it seems like the files it wants are not where it thinks they should be, it is off by a directory. I don't know if this is a problem or if there is another undocumented step where I tell the config to look somewhere else to find the default theme.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Install Problem

Rodrigo-7
Thanks for the suggestion! I had already tried that and I get the same
problem. The Makefile.PL, make, and make install all work OK with no errors.

But do you mean you've ran "make" from the directory, or that you ran the server from there?

The [info] message at startup is normal, since it looks first for the theme in /root/themes/<theme>, then it goes to its usual location, root/static/themes.

Maybe it's something else in your configuration. Did you change anything in the mojomojo.conf file besides your db connection? What backend DB are you using?

--rodrigo



_______________________________________________
Mojomojo mailing list
[hidden email]
http://lists.scsys.co.uk/cgi-bin/mailman/listinfo/mojomojo
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Install Problem

rstaats
I went to the directory that I untared the MojoMojo files to. I ran 'perl MakeFile.PL'  No problems there.

I then edited the mojomojo.conf and ONLY added my db connection info for MySQL.

I then ran 'make', no errors.

I then ran './script/mojomojo_spawn_db.pl', no errors and it created the tables in my DB.

I then ran 'make install', no errors.

I then ran './script/mojomojo_server -p 3000' and am at the problem I describe.

The page I see in the browser says (in many languages): (en) Please come back later

The errors I see each time I try to access the site on port 3000 are:

[error] Couldn't render template "undef error - Modification of non-creatable array value attempted, subscript -1 at /usr/lib/perl5/site_perl/5.8.8/MojoMojo/Schema/ResultSet/Page.pm line 78.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Install Problem

Rodrigo-7
Beats me. Done this 100 times and, just in case, once again a minute ago and deployed it successfully in a fresh mysql db. The only difference I see is that I have my own perl (not the system's) compiled in /opt/perl. I'm sending you my Makefile.PL output so that you can check my versions against yours, in case it has something to do with that...

~/tmp/MojoMojo-0.999027$ perl Makefile.PL
Cannot determine perl version info from lib/MojoMojo.pm
*** Module::Install::Catalyst
Please run "make catalyst_par" to create the PAR package!
*** Module::Install::Catalyst finished.
*** Module::AutoInstall version 1.03
*** Checking for Perl dependencies...
[Core Features]
- Algorithm::Diff                              ...loaded. (1.1902 >= 1.1901)
- Algorithm::Merge                             ...loaded. (0.08)
- Archive::Zip                                 ...loaded. (1.26 >= 1.14)
- Catalyst                                     ...loaded. (5.7015 >= 5.7000)
- Catalyst::Action::RenderView                 ...loaded. (0.09 >= 0.07)
- Catalyst::Controller::HTML::FormFu           ...loaded. (0.03007 >= 0.02000)
- Catalyst::Model::DBIC::Schema                ...loaded. (0.21 >= 0.01)
- KinoSearch                                   ...loaded. (0.163)
- Catalyst::Plugin::Authentication             ...loaded. (0.10010 >= 0.10005)
- Catalyst::Authentication::Store::DBIx::Class ...loaded. (0.1082 >= 0.101)
- Catalyst::Plugin::Email                      ...loaded. (0.08)
- Catalyst::Plugin::ConfigLoader               ...loaded. (0.22 >= 0.13)
- Catalyst::Plugin::Session::Store::File       ...loaded. (0.13)
- Catalyst::Plugin::Session::State::Cookie     ...loaded. (0.10)
- Catalyst::Plugin::Singleton                  ...loaded. (0.02 >= 0.02)
- Catalyst::Plugin::Static::Simple             ...loaded. (0.20 >= 0.07)
- Catalyst::Plugin::SubRequest                 ...loaded. (0.13 >= 0.09)
- Catalyst::Plugin::Unicode                    ...loaded. (0.8 >= 0.8)
- Catalyst::Plugin::I18N                       ...loaded. (0.08)
- Catalyst::View::TT                           ...loaded. (0.29 >= 0.23)
- Catalyst::View::JSON                         ...loaded. (0.24)
- Cache::Memory                                ...loaded. (2.04)
- Config::General                              ...loaded. (2.42)
- Data::FormValidator::Constraints::DateTime   ...loaded. (1.09)
- DateTime::Format::Mail                       ...loaded. (0.3001)
- DBIx::Class::DateTime::Epoch                 ...loaded. (0.03)
- DBIx::Class::HTML::FormFu                    ...loaded. (0.01005)
- HTML::FormFu::Model::DBIC                    ...loaded. (0.03007)
- DBIx::Class::EncodedColumn                   ...loaded. (0.00002)
- Module::Pluggable::Ordered                   ...loaded. (1.5 >= 1.4)
- Data::Page                                   ...loaded. (2.01 >= 2.00)
- DateTime                                     ...loaded. (0.4501 >= 0.28)
- DBD::SQLite                                  ...loaded. (1.14 >= 1.08)
- File::MMagic                                 ...loaded. (1.27 >= 1.27)
- File::Copy::Recursive                        ...loaded. (0.38)
- HTML::GenToc                                 ...loaded. (3.10)
- HTML::Strip                                  ...loaded. (1.06 >= 1.04)
- HTML::Scrubber                               ...loaded. (0.08)
- HTML::TagCloud                               ...loaded. (0.34)
- Image::ExifTool                              ...loaded. (7.67)
- Image::Math::Constrain                       ...loaded. (1.02)
- Imager                                       ...loaded. (0.67)
- IO::Scalar                                   ...loaded. (2.110)
- IO::File                                     ...loaded. (1.14 >= 1.14)
- LWP::Simple                                  ...loaded. (5.810)
- Moose                                        ...loaded. (0.71)
- Pod::Simple::HTML                            ...loaded. (3.03 >= 3.01)
- String::Diff                                 ...loaded. (0.04)
- Template::Plugin::JavaScript                 ...loaded. (0.01)
- Text::Context                                ...loaded. (3.6 >= 3.5)
- URI                                          ...loaded. (1.37 >= 1.35)
- XML::Clean                                   ...loaded. (0)
- YAML                                         ...loaded. (0.68 >= 0.36)
- URI::Fetch                                   ...loaded. (0.08)
- Text::Password::Pronounceable                ...loaded. (0.28)
- DBIx::Class                                  ...loaded. (0.08012 >= 0.08)
- Syntax::Highlight::Engine::Kate              ...loaded. (0.04)
- Cache::FastMmap                              ...loaded. (1.28)
- Config::JFDI                                 ...loaded. (0.04)
[Automatic deployment]
- SQL::Translator                              ...loaded. (0.09004)
[Markdown Formatter]
- Text::MultiMarkdown                          ...loaded. (1.0.24 >= 1.0.17)
*** Module::AutoInstall configuration finished.
Writing Makefile for MojoMojo




_______________________________________________
Mojomojo mailing list
[hidden email]
http://lists.scsys.co.uk/cgi-bin/mailman/listinfo/mojomojo
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Install Problem

rstaats
Thanks for your help Rodrigo!

OK, sounds like a maybe some problem with my system then... I'll try it fresh on another system.  BTW here is my Makefile.PL output, just a quick glance vs yours and I don't notice any diff, but maybe you will see something? Anyway I will proceed with this on a new system and report back what I find.


[root MojoMojo-0.999027]# perl Makefile.PL
Cannot determine perl version info from lib/MojoMojo.pm
*** Module::Install::Catalyst
Please run "make catalyst_par" to create the PAR package!
*** Module::Install::Catalyst finished.
*** Module::AutoInstall version 1.03
*** Checking for Perl dependencies...
[Core Features]
- Algorithm::Diff                              ...loaded. (1.1902 >= 1.1901)
- Algorithm::Merge                             ...loaded. (0.08)
- Archive::Zip                                 ...loaded. (1.24 >= 1.14)
- Catalyst                                     ...loaded. (5.71000 >= 5.7000)
- Catalyst::Action::RenderView                 ...loaded. (0.09 >= 0.07)
- Catalyst::Controller::HTML::FormFu           ...loaded. (0.03007 >= 0.02000)
- Catalyst::Model::DBIC::Schema                ...loaded. (0.23 >= 0.01)
- KinoSearch                                   ...loaded. (0.164)
- Catalyst::Plugin::Authentication             ...loaded. (0.10011 >= 0.10005)
- Catalyst::Authentication::Store::DBIx::Class ...loaded. (0.1082 >= 0.101)
- Catalyst::Plugin::Email                      ...loaded. (0.08)
- Catalyst::Plugin::ConfigLoader               ...loaded. (0.22 >= 0.13)
- Catalyst::Plugin::Session::Store::File       ...loaded. (0.13)
- Catalyst::Plugin::Session::State::Cookie     ...loaded. (0.10)
- Catalyst::Plugin::Singleton                  ...loaded. (0.02 >= 0.02)
- Catalyst::Plugin::Static::Simple             ...loaded. (0.20 >= 0.07)
- Catalyst::Plugin::SubRequest                 ...loaded. (0.13 >= 0.09)
- Catalyst::Plugin::Unicode                    ...loaded. (0.8 >= 0.8)
- Catalyst::Plugin::I18N                       ...loaded. (0.08)
- Catalyst::View::TT                           ...loaded. (0.29 >= 0.23)
- Catalyst::View::JSON                         ...loaded. (0.24)
- Cache::Memory                                ...loaded. (2.04)
- Config::General                              ...loaded. (2.42)
- Data::FormValidator::Constraints::DateTime   ...loaded. (1.09)
- DateTime::Format::Mail                       ...loaded. (0.3001)
- DBIx::Class::DateTime::Epoch                 ...loaded. (0.03)
- DBIx::Class::HTML::FormFu                    ...loaded. (0.01005)
- HTML::FormFu::Model::DBIC                    ...loaded. (0.03007)
- DBIx::Class::EncodedColumn                   ...loaded. (0.00002)
- Module::Pluggable::Ordered                   ...loaded. (1.5 >= 1.4)
- Data::Page                                   ...loaded. (2.01 >= 2.00)
- DateTime                                     ...loaded. (0.4305 >= 0.28)
- DBD::SQLite                                  ...loaded. (1.14 >= 1.08)
- File::MMagic                                 ...loaded. (1.27 >= 1.27)
- File::Copy::Recursive                        ...loaded. (0.38)
- HTML::GenToc                                 ...loaded. (3.10)
- HTML::Strip                                  ...loaded. (1.06 >= 1.04)
- HTML::Scrubber                               ...loaded. (0.08)
- HTML::TagCloud                               ...loaded. (0.34)
- Image::ExifTool                              ...loaded. (7.67)
- Image::Math::Constrain                       ...loaded. (1.02)
- Imager                                       ...loaded. (0.67)
- IO::Scalar                                   ...loaded. (2.110)
- IO::File                                     ...loaded. (1.14 >= 1.14)
- LWP::Simple                                  ...loaded. (5.810)
- Moose                                        ...loaded. (0.72)
- Pod::Simple::HTML                            ...loaded. (3.03 >= 3.01)
- String::Diff                                 ...loaded. (0.04)
- Template::Plugin::JavaScript                 ...loaded. (0.01)
- Text::Context                                ...loaded. (3.6 >= 3.5)
- URI                                          ...loaded. (1.36 >= 1.35)
- XML::Clean                                   ...loaded. (0)
- YAML                                         ...loaded. (0.66 >= 0.36)
- URI::Fetch                                   ...loaded. (0.08)
- Text::Password::Pronounceable                ...loaded. (0.28)
- DBIx::Class                                  ...loaded. (0.08012 >= 0.08)
- Syntax::Highlight::Engine::Kate              ...loaded. (0.04)
- Cache::FastMmap                              ...loaded. (1.28)
- Config::JFDI                                 ...loaded. (0.04)
[Automatic deployment]
- SQL::Translator                              ...loaded. (0.09004)
[Markdown Formatter]
- Text::MultiMarkdown                          ...loaded. (1.0.24 >= 1.0.17)
*** Module::AutoInstall configuration finished.
Writing Makefile for MojoMojo
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Install Problem

dandv
Administrator
I have MojoMojo checked out from GitHub and script/mojomojo_server.pl
runs without any warnings or errors. Here's the output of perl
Makefile.PL, which I see is sorted on my Ubuntu, unlike the output
pasted by rstaats and Rodrigo. I diffed it against those and there are
a bunch of differences, notably me using Catalyst 5.7100. So try to
replace modules one by one and see which is the culprit (hopefully it
won't be a combination).

dan@dandascalescu:~/mojomojo (master)$ perl Makefile.PL
include /home/dan/mojomojo/inc/Module/Install.pm
include inc/Module/Install/Metadata.pm
include inc/Module/Install/Base.pm
Cannot determine perl version info from lib/MojoMojo.pm
include inc/Module/Install/Catalyst.pm
*** Module::Install::Catalyst
include inc/Module/Install/Makefile.pm
Please run "make catalyst_par" to create the PAR package!
*** Module::Install::Catalyst finished.
include inc/Module/Install/AutoInstall.pm
include inc/Module/Install/Include.pm
include inc/Module/AutoInstall.pm
*** Module::AutoInstall version 1.03
*** Checking for Perl dependencies...
[Core Features]
- Algorithm::Diff                              ...loaded. (1.1902 >= 1.1901)
- Algorithm::Merge                             ...loaded. (0.08)
- Archive::Zip                                 ...loaded. (1.26 >= 1.14)
- Cache::FastMmap                              ...loaded. (1.28)
- Catalyst                                     ...loaded. (5.71000 >= 5.7000)
- Catalyst::Action::RenderView                 ...loaded. (0.08 >= 0.07)
- Catalyst::Authentication::Store::DBIx::Class ...loaded. (0.1082 >= 0.101)
- Catalyst::Controller::HTML::FormFu           ...loaded. (0.03007 >= 0.03007)
- Catalyst::Model::DBIC::Schema                ...loaded. (0.21 >= 0.01)
- Catalyst::Plugin::Authentication             ...loaded. (0.100091 >= 0.10005)
- Catalyst::Plugin::Cache                      ...loaded. (0.06)
- Catalyst::Plugin::ConfigLoader               ...loaded. (0.21 >= 0.13)
- Catalyst::Plugin::Email                      ...loaded. (0.08)
- Catalyst::Plugin::I18N                       ...loaded. (0.08)
- Catalyst::Plugin::Session::State::Cookie     ...loaded. (0.09)
- Catalyst::Plugin::Session::Store::File       ...loaded. (0.13)
- Catalyst::Plugin::Setenv                     ...loaded. (0.02)
- Catalyst::Plugin::Singleton                  ...loaded. (0.02 >= 0.02)
- Catalyst::Plugin::Static::Simple             ...loaded. (0.20 >= 0.07)
- Catalyst::Plugin::SubRequest                 ...loaded. (0.13 >= 0.09)
- Catalyst::Plugin::Unicode                    ...loaded. (0.8 >= 0.8)
- Catalyst::View::TT                           ...loaded. (0.27 >= 0.23)
- Catalyst::View::JSON                         ...loaded. (0.24)
- Config::General                              ...loaded. (2.42)
- Config::JFDI                                 ...loaded. (0.04)
- Crypt::CBC                                   ...loaded. (2.30 >= 2.12)
- Data::FormValidator::Constraints::DateTime   ...loaded. (1.09)
- Data::Page                                   ...loaded. (2.01 >= 2.00)
- DateTime                                     ...loaded. (0.4501 >= 0.28)
- DateTime::Format::Mail                       ...loaded. (0.3001)
- DBD::SQLite                                  ...loaded. (1.14 >= 1.08)
- DBIx::Class                                  ...loaded. (0.08010 >= 0.08)
- DBIx::Class::DateTime::Epoch                 ...loaded. (0.03)
- DBIx::Class::HTML::FormFu                    ...loaded. (0.01005)
- DBIx::Class::EncodedColumn                   ...loaded. (0.00002)
- Encode                                       ...loaded. (2.32 >= 2.31)
- File::Copy::Recursive                        ...loaded. (0.38)
- File::MMagic                                 ...loaded. (1.27 >= 1.27)
- File::Slurp                                  ...loaded. (9999.13 >= 9999.13)
- HTML::Entities                               ...loaded. (3.60 >= 3.60)
- HTML::FormFu::Model::DBIC                    ...loaded. (0.03007)
- HTML::Scrubber                               ...loaded. (0.08)
- HTML::Strip                                  ...loaded. (1.06 >= 1.04)
- HTML::TagCloud                               ...loaded. (0.34)
- HTML::Toc                                    ...loaded. (1.10 >= 1.10)
- Image::ExifTool                              ...loaded. (7.51)
- Imager                                       ...loaded. (0.67)
- Image::Math::Constrain                       ...loaded. (1.02)
- IO::Scalar                                   ...loaded. (2.110)
- IO::File                                     ...loaded. (1.14 >= 1.14)
- KinoSearch                                   ...loaded. (0.163)
- LWP::Simple                                  ...loaded. (5.810)
- Module::Pluggable::Ordered                   ...loaded. (1.5 >= 1.4)
- Moose                                        ...loaded. (0.68)
- Pod::Simple::HTML                            ...loaded. (3.03 >= 3.01)
- String::Diff                                 ...loaded. (0.04)
- Syntax::Highlight::Engine::Kate              ...loaded. (0.04)
- Template                                     ...loaded. (2.20 >= 2.20)
- Template::Plugin::JavaScript                 ...loaded. (0.01)
- Text::Context                                ...loaded. (3.6 >= 3.5)
- Text::Password::Pronounceable                ...loaded. (0.28)
- URI                                          ...loaded. (1.37 >= 1.35)
- URI::Fetch                                   ...loaded. (0.08)
- XML::Clean                                   ...loaded. (0)
- YAML                                         ...loaded. (0.68 >= 0.36)
[Automatic deployment]
- SQL::Translator                              ...loaded. (0.09002)
[Markdown Formatter]
- Text::MultiMarkdown                          ...loaded. (1.0.24 >= 1.0.17)
*** Module::AutoInstall configuration finished.

Dan

_______________________________________________
Mojomojo mailing list
[hidden email]
http://lists.scsys.co.uk/cgi-bin/mailman/listinfo/mojomojo
If God is good, why do 26000 children die each day?
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Install Problem

Marcus Ramberg
Seems the recent release of SQL::Abstract 1.50 is to blame here. It changes the syntax. Stay tuned for a better solution, but meanwhile you can downgrade to the previous version.

With regards
Marcus Ramberg


On Thu, Mar 19, 2009 at 7:58 AM, Dan Dascalescu <[hidden email]> wrote:
I have MojoMojo checked out from GitHub and script/mojomojo_server.pl
runs without any warnings or errors. Here's the output of perl
Makefile.PL, which I see is sorted on my Ubuntu, unlike the output
pasted by rstaats and Rodrigo. I diffed it against those and there are
a bunch of differences, notably me using Catalyst 5.7100. So try to
replace modules one by one and see which is the culprit (hopefully it
won't be a combination).

dan@dandascalescu:~/mojomojo (master)$ perl Makefile.PL
include /home/dan/mojomojo/inc/Module/Install.pm
include inc/Module/Install/Metadata.pm
include inc/Module/Install/Base.pm
Cannot determine perl version info from lib/MojoMojo.pm
include inc/Module/Install/Catalyst.pm
*** Module::Install::Catalyst
include inc/Module/Install/Makefile.pm
Please run "make catalyst_par" to create the PAR package!
*** Module::Install::Catalyst finished.
include inc/Module/Install/AutoInstall.pm
include inc/Module/Install/Include.pm
include inc/Module/AutoInstall.pm
*** Module::AutoInstall version 1.03
*** Checking for Perl dependencies...
[Core Features]
- Algorithm::Diff                              ...loaded. (1.1902 >= 1.1901)
- Algorithm::Merge                             ...loaded. (0.08)
- Archive::Zip                                 ...loaded. (1.26 >= 1.14)
- Cache::FastMmap                              ...loaded. (1.28)
- Catalyst                                     ...loaded. (5.71000 >= 5.7000)
- Catalyst::Action::RenderView                 ...loaded. (0.08 >= 0.07)
- Catalyst::Authentication::Store::DBIx::Class ...loaded. (0.1082 >= 0.101)
- Catalyst::Controller::HTML::FormFu           ...loaded. (0.03007 >= 0.03007)
- Catalyst::Model::DBIC::Schema                ...loaded. (0.21 >= 0.01)
- Catalyst::Plugin::Authentication             ...loaded. (0.100091 >= 0.10005)
- Catalyst::Plugin::Cache                      ...loaded. (0.06)
- Catalyst::Plugin::ConfigLoader               ...loaded. (0.21 >= 0.13)
- Catalyst::Plugin::Email                      ...loaded. (0.08)
- Catalyst::Plugin::I18N                       ...loaded. (0.08)
- Catalyst::Plugin::Session::State::Cookie     ...loaded. (0.09)
- Catalyst::Plugin::Session::Store::File       ...loaded. (0.13)
- Catalyst::Plugin::Setenv                     ...loaded. (0.02)
- Catalyst::Plugin::Singleton                  ...loaded. (0.02 >= 0.02)
- Catalyst::Plugin::Static::Simple             ...loaded. (0.20 >= 0.07)
- Catalyst::Plugin::SubRequest                 ...loaded. (0.13 >= 0.09)
- Catalyst::Plugin::Unicode                    ...loaded. (0.8 >= 0.8)
- Catalyst::View::TT                           ...loaded. (0.27 >= 0.23)
- Catalyst::View::JSON                         ...loaded. (0.24)
- Config::General                              ...loaded. (2.42)
- Config::JFDI                                 ...loaded. (0.04)
- Crypt::CBC                                   ...loaded. (2.30 >= 2.12)
- Data::FormValidator::Constraints::DateTime   ...loaded. (1.09)
- Data::Page                                   ...loaded. (2.01 >= 2.00)
- DateTime                                     ...loaded. (0.4501 >= 0.28)
- DateTime::Format::Mail                       ...loaded. (0.3001)
- DBD::SQLite                                  ...loaded. (1.14 >= 1.08)
- DBIx::Class                                  ...loaded. (0.08010 >= 0.08)
- DBIx::Class::DateTime::Epoch                 ...loaded. (0.03)
- DBIx::Class::HTML::FormFu                    ...loaded. (0.01005)
- DBIx::Class::EncodedColumn                   ...loaded. (0.00002)
- Encode                                       ...loaded. (2.32 >= 2.31)
- File::Copy::Recursive                        ...loaded. (0.38)
- File::MMagic                                 ...loaded. (1.27 >= 1.27)
- File::Slurp                                  ...loaded. (9999.13 >= 9999.13)
- HTML::Entities                               ...loaded. (3.60 >= 3.60)
- HTML::FormFu::Model::DBIC                    ...loaded. (0.03007)
- HTML::Scrubber                               ...loaded. (0.08)
- HTML::Strip                                  ...loaded. (1.06 >= 1.04)
- HTML::TagCloud                               ...loaded. (0.34)
- HTML::Toc                                    ...loaded. (1.10 >= 1.10)
- Image::ExifTool                              ...loaded. (7.51)
- Imager                                       ...loaded. (0.67)
- Image::Math::Constrain                       ...loaded. (1.02)
- IO::Scalar                                   ...loaded. (2.110)
- IO::File                                     ...loaded. (1.14 >= 1.14)
- KinoSearch                                   ...loaded. (0.163)
- LWP::Simple                                  ...loaded. (5.810)
- Module::Pluggable::Ordered                   ...loaded. (1.5 >= 1.4)
- Moose                                        ...loaded. (0.68)
- Pod::Simple::HTML                            ...loaded. (3.03 >= 3.01)
- String::Diff                                 ...loaded. (0.04)
- Syntax::Highlight::Engine::Kate              ...loaded. (0.04)
- Template                                     ...loaded. (2.20 >= 2.20)
- Template::Plugin::JavaScript                 ...loaded. (0.01)
- Text::Context                                ...loaded. (3.6 >= 3.5)
- Text::Password::Pronounceable                ...loaded. (0.28)
- URI                                          ...loaded. (1.37 >= 1.35)
- URI::Fetch                                   ...loaded. (0.08)
- XML::Clean                                   ...loaded. (0)
- YAML                                         ...loaded. (0.68 >= 0.36)
[Automatic deployment]
- SQL::Translator                              ...loaded. (0.09002)
[Markdown Formatter]
- Text::MultiMarkdown                          ...loaded. (1.0.24 >= 1.0.17)
*** Module::AutoInstall configuration finished.

Dan

_______________________________________________
Mojomojo mailing list
[hidden email]
http://lists.scsys.co.uk/cgi-bin/mailman/listinfo/mojomojo


_______________________________________________
Mojomojo mailing list
[hidden email]
http://lists.scsys.co.uk/cgi-bin/mailman/listinfo/mojomojo
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Install Problem

Marcus Ramberg
Quick update: The SQL-Abstract crowd has acknowledged that this is a regression, and it will be fixed shortly in SQL-Abstract. In other words, give it a bit of time, and this problem will go away.

With regards
Marcus Ramberg


On Thu, Mar 19, 2009 at 9:11 PM, Marcus Ramberg <[hidden email]> wrote:
Seems the recent release of SQL::Abstract 1.50 is to blame here. It changes the syntax. Stay tuned for a better solution, but meanwhile you can downgrade to the previous version.

With regards
Marcus Ramberg



On Thu, Mar 19, 2009 at 7:58 AM, Dan Dascalescu <[hidden email]> wrote:
I have MojoMojo checked out from GitHub and script/mojomojo_server.pl
runs without any warnings or errors. Here's the output of perl
Makefile.PL, which I see is sorted on my Ubuntu, unlike the output
pasted by rstaats and Rodrigo. I diffed it against those and there are
a bunch of differences, notably me using Catalyst 5.7100. So try to
replace modules one by one and see which is the culprit (hopefully it
won't be a combination).

dan@dandascalescu:~/mojomojo (master)$ perl Makefile.PL
include /home/dan/mojomojo/inc/Module/Install.pm
include inc/Module/Install/Metadata.pm
include inc/Module/Install/Base.pm
Cannot determine perl version info from lib/MojoMojo.pm
include inc/Module/Install/Catalyst.pm
*** Module::Install::Catalyst
include inc/Module/Install/Makefile.pm
Please run "make catalyst_par" to create the PAR package!
*** Module::Install::Catalyst finished.
include inc/Module/Install/AutoInstall.pm
include inc/Module/Install/Include.pm
include inc/Module/AutoInstall.pm
*** Module::AutoInstall version 1.03
*** Checking for Perl dependencies...
[Core Features]
- Algorithm::Diff                              ...loaded. (1.1902 >= 1.1901)
- Algorithm::Merge                             ...loaded. (0.08)
- Archive::Zip                                 ...loaded. (1.26 >= 1.14)
- Cache::FastMmap                              ...loaded. (1.28)
- Catalyst                                     ...loaded. (5.71000 >= 5.7000)
- Catalyst::Action::RenderView                 ...loaded. (0.08 >= 0.07)
- Catalyst::Authentication::Store::DBIx::Class ...loaded. (0.1082 >= 0.101)
- Catalyst::Controller::HTML::FormFu           ...loaded. (0.03007 >= 0.03007)
- Catalyst::Model::DBIC::Schema                ...loaded. (0.21 >= 0.01)
- Catalyst::Plugin::Authentication             ...loaded. (0.100091 >= 0.10005)
- Catalyst::Plugin::Cache                      ...loaded. (0.06)
- Catalyst::Plugin::ConfigLoader               ...loaded. (0.21 >= 0.13)
- Catalyst::Plugin::Email                      ...loaded. (0.08)
- Catalyst::Plugin::I18N                       ...loaded. (0.08)
- Catalyst::Plugin::Session::State::Cookie     ...loaded. (0.09)
- Catalyst::Plugin::Session::Store::File       ...loaded. (0.13)
- Catalyst::Plugin::Setenv                     ...loaded. (0.02)
- Catalyst::Plugin::Singleton                  ...loaded. (0.02 >= 0.02)
- Catalyst::Plugin::Static::Simple             ...loaded. (0.20 >= 0.07)
- Catalyst::Plugin::SubRequest                 ...loaded. (0.13 >= 0.09)
- Catalyst::Plugin::Unicode                    ...loaded. (0.8 >= 0.8)
- Catalyst::View::TT                           ...loaded. (0.27 >= 0.23)
- Catalyst::View::JSON                         ...loaded. (0.24)
- Config::General                              ...loaded. (2.42)
- Config::JFDI                                 ...loaded. (0.04)
- Crypt::CBC                                   ...loaded. (2.30 >= 2.12)
- Data::FormValidator::Constraints::DateTime   ...loaded. (1.09)
- Data::Page                                   ...loaded. (2.01 >= 2.00)
- DateTime                                     ...loaded. (0.4501 >= 0.28)
- DateTime::Format::Mail                       ...loaded. (0.3001)
- DBD::SQLite                                  ...loaded. (1.14 >= 1.08)
- DBIx::Class                                  ...loaded. (0.08010 >= 0.08)
- DBIx::Class::DateTime::Epoch                 ...loaded. (0.03)
- DBIx::Class::HTML::FormFu                    ...loaded. (0.01005)
- DBIx::Class::EncodedColumn                   ...loaded. (0.00002)
- Encode                                       ...loaded. (2.32 >= 2.31)
- File::Copy::Recursive                        ...loaded. (0.38)
- File::MMagic                                 ...loaded. (1.27 >= 1.27)
- File::Slurp                                  ...loaded. (9999.13 >= 9999.13)
- HTML::Entities                               ...loaded. (3.60 >= 3.60)
- HTML::FormFu::Model::DBIC                    ...loaded. (0.03007)
- HTML::Scrubber                               ...loaded. (0.08)
- HTML::Strip                                  ...loaded. (1.06 >= 1.04)
- HTML::TagCloud                               ...loaded. (0.34)
- HTML::Toc                                    ...loaded. (1.10 >= 1.10)
- Image::ExifTool                              ...loaded. (7.51)
- Imager                                       ...loaded. (0.67)
- Image::Math::Constrain                       ...loaded. (1.02)
- IO::Scalar                                   ...loaded. (2.110)
- IO::File                                     ...loaded. (1.14 >= 1.14)
- KinoSearch                                   ...loaded. (0.163)
- LWP::Simple                                  ...loaded. (5.810)
- Module::Pluggable::Ordered                   ...loaded. (1.5 >= 1.4)
- Moose                                        ...loaded. (0.68)
- Pod::Simple::HTML                            ...loaded. (3.03 >= 3.01)
- String::Diff                                 ...loaded. (0.04)
- Syntax::Highlight::Engine::Kate              ...loaded. (0.04)
- Template                                     ...loaded. (2.20 >= 2.20)
- Template::Plugin::JavaScript                 ...loaded. (0.01)
- Text::Context                                ...loaded. (3.6 >= 3.5)
- Text::Password::Pronounceable                ...loaded. (0.28)
- URI                                          ...loaded. (1.37 >= 1.35)
- URI::Fetch                                   ...loaded. (0.08)
- XML::Clean                                   ...loaded. (0)
- YAML                                         ...loaded. (0.68 >= 0.36)
[Automatic deployment]
- SQL::Translator                              ...loaded. (0.09002)
[Markdown Formatter]
- Text::MultiMarkdown                          ...loaded. (1.0.24 >= 1.0.17)
*** Module::AutoInstall configuration finished.

Dan

_______________________________________________
Mojomojo mailing list
[hidden email]
http://lists.scsys.co.uk/cgi-bin/mailman/listinfo/mojomojo



_______________________________________________
Mojomojo mailing list
[hidden email]
http://lists.scsys.co.uk/cgi-bin/mailman/listinfo/mojomojo
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

RE: Install Problem

rstaats
In reply to this post by Marcus Ramberg

Thanks Marcus and everyone else that helped me out with this. The new version of SQL::Abstract (1.51) has been released and I was able to get everything working great with that.


_______________________________________________
Mojomojo mailing list
[hidden email]
http://lists.scsys.co.uk/cgi-bin/mailman/listinfo/mojomojo
Loading...